import { CommonModule } from '@angular/common';
import { InjectionToken, NgModule } from '@angular/core';
import { audioContextFactory } from './audio-context-factory';
import { AudioContextProxy } from './audio-context-proxy';
import { isSupportedFactory } from './is-supported-factory';
import { latencyHintToken } from './latency-hint-token';
import * as i0 from "@angular/core";
// eslint-disable-next-line unicorn/prefer-export-from
export { AudioContextProxy as AudioContext };
export const isSupported = new InjectionToken('IS_SUPPORTED_PROMISE');
export class AudioContextModule {
    static forChild() {
        return {
            ngModule: AudioContextModule
        };
    }
    static forRoot(latencyHint) {
        return {
            ngModule: AudioContextModule,
            providers: [
                { deps: [latencyHintToken], provide: AudioContextProxy, useFactory: audioContextFactory },
                { provide: latencyHintToken, useValue: latencyHint }
            ]
        };
    }
}
AudioContextModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.10", ngImport: i0, type: AudioContextModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AudioContextModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.10", ngImport: i0, type: AudioContextModule, imports: [CommonModule] });
AudioContextModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.10", ngImport: i0, type: AudioContextModule, providers: [{ provide: isSupported, useFactory: isSupportedFactory }], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.10", ngImport: i0, type: AudioContextModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    providers: [{ provide: isSupported, useFactory: isSupportedFactory }]
                }]
        }] });
//# sourceMappingURL=audio-context.module.js.map